Package com.mckoi.util

## Class ResultOutputUtil

- java.lang.Object
- - com.mckoi.util.ResultOutputUtil

    public class ResultOutputUtil
    extends java.lang.Object

Utilities for parsing a ResultSet and outputing it in different forms. The forms included are straight text (mono-spaced), HTML, etc.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`ResultOutputUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `formatAsText​(java.sql.ResultSet result_set, java.io.PrintWriter out)` Formats the ResultSet as plain mono-spaced text and outputs the result to the PrintWriter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultOutputUtil

    public ResultOutputUtil()

### Method Detail

#### formatAsText

    public static void formatAsText​(java.sql.ResultSet result_set,
                                    java.io.PrintWriter out)
                             throws java.sql.SQLException

Formats the ResultSet as plain mono-spaced text and outputs the result to the PrintWriter.

Throws:
  `java.sql.SQLException`